import request from '@/utils/request'

//日志数据字典
export function logModel(data) {
    return request({
      url: '/dictData/plcList',
      method: 'post',
      data
    })
}
//充电机日志数据字典
export function chargerModel(data) {
  return request({
    url: '/dictData/chargerList',
    method: 'post',
    data
  })
}
//BMS日志数据字典
export function BmsModel(data) {
  return request({
    url: '/dictData/bmsList',
    method: 'post',
    data
  })
}
//机器人日志列表
export function robotList(data) {
    return request({
      url: '/log/robotList',
      method: 'post',
      data
    })
}
//充电机日志列表
export function chargerList(data) {
  return request({
    url: '/log/chargerList',
    method: 'post',
    data
  })
}
//BMS日志列表
export function bmsList(data) {
  return request({
    url: '/log/bmsList',
    method: 'post',
    data
  })
}
// //导出数据列表
// export function exportList(data) {
//   return request({
//     url: '/export/list',
//     method: 'post',
//     data
//   })
// }
//生成导出文件
export function exportFile(data) {
  return request({
    url: '/log/export',
    method: 'post',
    data
  })
}
// //删除数据导出列表
// export function deleteExportData(id) {
//   return request({
//     url: `/export/delete/${id}`,
//     method: 'post',
//   })
// }
// //导出结果
// export function